<template>
	<div ref="containerRef" class="h-[70vh]"></div>
</template>

<script setup lang="ts">
import { onMounted, ref } from 'vue';
import { GaoDeMap } from '/@/model/map/GaoDeMap';
import { chatComProps } from '../common';
let gaoDeMap = new GaoDeMap();
const containerRef = ref<HTMLDivElement>(null);
const props = defineProps(chatComProps);

onMounted(async () => {
	await gaoDeMap.init({
		container: containerRef.value,
	});
	gaoDeMap.zoomToRect([116.319665, 39.855919], [116.468324, 39.9756]);
	gaoDeMap.applyBasicPlugins();
});
</script>
<style scoped lang="scss"></style>
